<!DOCTYPE html>
<html lang="en">

<head>
  <meta charset="UTF-8">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>Fronten Mentor - E-commerce product page</title>
  <link rel="stylesheet" href="index.css">
</head>

<body>
  <header>

    <div class="header-left">
      <div id="menu"></div>
      <img class="logo" src="/images/logo.svg" alt="">
      <nav id="nav">
        <img id="close-menu" src="/images/icon-close.svg" alt="Close Menu">
        <a href="">Collections</a>
        <a href="">Men</a>
        <a href="">Women</a>
        <a href="">About</a>
        <a href="">Contact</a>
      </nav>
    </div>
    <div id="header-right">
      <div id="cart-div">
        <img id="cart" src="/images/icon-cart.svg" alt="Cart">
        <strong id="cart-count"></strong>
      </div>
      <img class="profile" src="/images/image-avatar.png" alt="Avatar">
      <div id="basket">
        <h2>Cart</h2>
        <div id="basket-details">
          <p id="empty">Your cart is empty.</p>
          <div id="notEmpty">
            <div class="basket-item">
              <img class="basket-image" src="./images/image-product-1-thumbnail.jpg" height="42" width="43"></img>
              <div class="basket-text">
                <p>Fall Limited Edition Sneakers</p>
                <p>$125.00 x <span id="basket-amount"></span> <strong id="basket-total"></strong></p>
              </div>
              <img class="basket-delete" src="./images/icon-delete.svg" alt="">
            </div>
            <button class="basket-checkout">Checkout</button>
          </div>
        </div>
      </div>
    </div>
  </header>
  <div class="product">
    <div class="product-images">
      <img src="./images/icon-previous.svg" id="previous-image"></img>
      <img id="product-image" src="/images/image-product-1.jpg" alt="">
      <img src="./images/icon-next.svg" id="next-image"></img>
      <div class="product-thumbnails">
        <img id="thumbnail-1" class="selected-thumbnail" src="/images/image-product-1-thumbnail.jpg" alt="">
        <img id="thumbnail-2" src="/images/image-product-2-thumbnail.jpg" alt="">
        <img id="thumbnail-3" src="/images/image-product-3-thumbnail.jpg" alt="">
        <img id="thumbnail-4" src="/images/image-product-4-thumbnail.jpg" alt="">
      </div>
    </div>
    <div class="product-texts">
      <h3>SNEAKER COMPANY</h3>
      <h2>Fall Limited Edition Sneakers</h2>
      <p class="desc">These low-profile sneakers are your perfect casual wear companion. Featuring a durable rubber
        outer sole,
        they’ll withstand everything the weather can offer. </p>
      <div class="price">
        <p class="final">
          <strong class="final-price">$125.00</strong>&#160;
          <strong class="discount">50%</strong>
        </p>
        <strong class="original-price"><del>$250.00</del></strong>
      </div>
      <div class="buttons">
        <div class="quantities">
          <img id="decrease" src="/images/icon-minus.svg" alt="decrease">
          <strong id="quantity"></strong>
          <img id="increase" src="/images/icon-plus.svg" alt="increase">
        </div>
        <button id="addToCart">
          <img class="cart-icon-white" src="/images/icon-cart-white.svg" alt="Cart icon">
          <strong>Add to cart</strong>
        </button>
        </d>
      </div>
    </div>
    <br><br>

    <div class="credit">This is a Frontend Mentor project by Saad Shaikh</div>
</body>
<script>
  /* open nav menu */
  document.getElementById("menu").addEventListener("click", () => {
    document.getElementById("nav").style.left = 0
  })
  document.getElementById("close-menu").addEventListener("click", () => {
    document.getElementById("nav").style.left = null
  })

  /* view cart */
  document.getElementById("cart").addEventListener("click", () => {
    if (document.getElementById("basket").style.display === "block") {
      document.getElementById("basket").style.display = null
    } else document.getElementById("basket").style.display = "block"
  })

  /* navigate through images */
  let currentImage = 1
  document.getElementById("previous-image").addEventListener("click", () => {
    if (currentImage > 1) currentImage--
    else currentImage = 4
    document.getElementById("product-image").src = "/images/image-product-" + currentImage + ".jpg"
  })
  document.getElementById("next-image").addEventListener("click", () => {
    if (currentImage < 4) currentImage++
    else currentImage = 1
    document.getElementById("product-image").src = "/images/image-product-" + currentImage + ".jpg"
  })

  /* select thumbnail */
  for (let i = 1; i <= 4; i++) {
    document.getElementById("thumbnail-" + i).addEventListener("click", (e) => {
      e.target.classList.add("selected-thumbnail");
      document.getElementById("product-image").src = "/images/image-product-" + i + ".jpg";
      for (let j = 1; j <= 4; j++) {
        if (j !== i) document.getElementById("thumbnail-" + j).classList.remove("selected-thumbnail");
      }
    })
  }

  /* add item */
  let quantity = document.getElementById("quantity")
  quantity.innerHTML = 0

  document.getElementById("decrease").addEventListener("click", () => {
    if (quantity.innerHTML > 0) quantity.innerHTML--
  })
  document.getElementById("increase").addEventListener("click", () => quantity.innerHTML++)

  let basketDisplay = () => {
    if (quantity.innerHTML == 0) {
      document.getElementById("empty").style.display = "block"
      document.getElementById("notEmpty").style.display = "none"
      document.getElementById("cart-count").style.display = null
      document.getElementById("header-right").classList.remove("cart-not-empty")
    }
    else {
      document.getElementById("empty").style.display = "none"
      document.getElementById("notEmpty").style.display = "flex"
      document.getElementById("basket-amount").innerHTML = quantity.innerHTML
      document.getElementById("basket-total").innerHTML = "$" + (quantity.innerHTML * 125.00).toFixed(2)
      document.getElementById("cart-count").innerHTML = quantity.innerHTML
      document.getElementById("cart-count").style.display = "grid"
      document.getElementById("header-right").classList.add("cart-not-empty")
    }
  }
  let basketValue = 0
  document.getElementById("addToCart").addEventListener("click", () => {
    basketValue = parseInt(quantity.innerHTML)
    basketDisplay()
  })
</script>

</html>